<?php

if (!defined('sugarEntry') || !sugarEntry)
    die('Not A Valid Entry Point');

session_start();

$yearDateTime = DateTime::createFromFormat('Y', $_GET['year']);

if($yearDateTime) {
    $_SESSION['fk_year'] = $yearDateTime->format('Y');
}

echo $_SESSION['fk_year'];
die();